<template>
  <div class="homeback">
    <div class="box2">
      <p class="headStyle">
        {{ $t('common.labDistribution') }}
        <span style="float:right">
          {{ $t('env.totalResources') }} {{ resources.resourceCount }}
        </span>
      </p>
      <img
        class="imgGraph"
        src="../../assets/images/distribute.png"
      >
    </div>
    <div class="box3">
      <p class="headStyle">
        {{ $t('common.monitorLab') }}
      </p>
      <div style="padding:5px 0px;width:100%">
        <img
          class="imgLab"
          src="../../assets/images/scene.png"
        >
      </div>
    </div>
    <div class="box4">
      <img
        class="imgIcon"
        @click="jumpTo('/community/myrequest')"
        src="../../assets/images/myapplications.png"
      >
      <img
        class="imgIcon"
        @click="jumpTo('/community/myresource')"
        src="../../assets/images/myresource.png"
      >
    </div>
  </div>
</template>
<script>
import axios from 'axios'
import { BASE_URL } from '../../tools/constant.js'
export default {
  name: 'CommunityHome',
  data () {
    return {
      resources: 10
    }
  },
  beforeMount () {
    this.getData()
  },
  methods: {
    jumpTo (path) {
      if (this.$route.path !== path) {
        this.$router.push(path)
      }
    },
    async getData () {
      let url = BASE_URL + '/getCount?userId=' + sessionStorage.getItem('userId')
      axios({
        method: 'GET',
        url: url,
        headers: {
          'Content-Type': 'application/json'
        }
      }).then(res => {
        this.resources = res.data
      }, error => {
        if (error) {
          this.$parent.errorMessage(this.$t(error.response.data))
        }
      })
    }
  }
}
</script>
<style>
    .homeback {
        background-image: url("../../assets/images/home.png");
        width: 100vw;
        height: 100vh;
        background-size: 100% 100%;
        background-repeat: no-repeat;
        position: relative;
    }
    .box1 {
        height: 66px;
        padding:15px;
        width: 98%;
        margin-top: 76px;
        position: absolute;
        background: #2e6cd0;
        box-shadow: 0 2px 4px 0 rgba(0,0,0,0.16),0 2px 10px 0 rgba(0,0,0,0.12)!important;
    }
    .box2 {
        height: 20px;
        padding: 15px;
        width: 48%;
        margin-top: 65px;
        position: absolute;
        background: #2e6cd0;
        box-shadow: 0 2px 4px 0 rgba(0,0,0,0.16),0 2px 10px 0 rgba(0,0,0,0.12)!important;
    }
    .box3 {
        height: 20px;
        padding: 15px 0px 15px 0px;
        width: 49%;
        margin-left: 50%;
        margin-top: 65px;
        position: absolute;
        background: #2e6cd0;
        box-shadow: 0 2px 4px 0 rgba(0,0,0,0.16),0 2px 10px 0 rgba(0,0,0,0.12)!important;
    }
    .box4 {
        height: 66px;
        padding:15px;
        width: 98%;
        margin-top: 700px;
        position: absolute;
    }
    .headStyle {
        font-size:20px;
        margin-left: 15px;
        color: white
    }
    .imgGraph {
        height: 560px;
        width:916px;
        margin-top: 13px;
        margin-left: -15px;
    }
    .imgLab {
        height: 560px;
        margin-top: 8px;
        width:100%
    }
    .imgIcon {
        height: 200px;
        width: 400px;
        margin-left: 300px;
        margin-top: 20px;
        cursor: pointer;
    }
    .imgIcon:hover {
      -webkit-box-shadow: 9px 11px 24px 2px rgba(0,0,0,0.75);
      -moz-box-shadow: 9px 11px 24px 2px rgba(0,0,0,0.75);
      box-shadow: 9px 11px 24px 2px rgba(0,0,0,0.75);
    }
</style>
